import 'package:dartz/dartz.dart';
import '../../core/error/failures.dart';
import '../models/advances_list_response_model.dart';
import '../repositories/advance_repository.dart';

class GetAdvancesUseCase {
  final AdvanceRepository repository;

  GetAdvancesUseCase({required this.repository});

  Future<Either<Failure, AdvancesListResponseModel>> call() {
    return repository.getAdvances();
  }
}
